Jump to content

Archived

This topic is now archived and is closed to further replies.

sheilahoff

UberMenu icon/submenu w/ widget not displaying on iPad

Recommended Posts

sheilahoff

I'm not sure if this is UberMenu, Pagelines or iPad...but on this dev site in the top right under the social media icons there's a custom UberMenu using a widget area in the submenu under a cart icon: http://perfect-image.flywheelsites.com. It works great (after much work) on my desktop but someone reported it doesn't display at all on iPad both horizontal and vertically. What am I missing? Thanks.


Sheila Hoffman | Hoffman Graphics | Seattle

Share this post


Link to post
Share on other sites
sheilahoff

Chris at UberMenu replied: The menu is actually not being generated at all on the iPad (as opposed to being hidden). UberMenu doesn't have any mobile specific feature that would change the menu that way.  Perhaps there is something on your site that is filtering the theme location or menu arguments when a mobile device is detected?


Sheila Hoffman | Hoffman Graphics | Seattle

Share this post


Link to post
Share on other sites
Danny

Hi Sheila,

 

I am not entirely sure, as your other menu is working fine, so what I would suggest is either:

 

1. Remove your other menu and see if the widget menu works.

2. Why are you using Uber menu to display one widget, why not just use the Widgetizer and assign the sidebar to display that cart widget?


Please search our forums, before posting!

Share this post


Link to post
Share on other sites
sheilahoff

Danny it IS in a widgetizer however I needed to have the social media icons in the top row and I needed to have the cart icon trigger out the cart widget. I didn't know another way to do this which is why I did it the way it is. Do you have a better approach to achieve this?

 

I cannot remove the other menu (I could for troubleshooting I suppose but will need it to remain). Someone mentioned maybe I need to use the UberMenu DMS Adapter. Do you think that might help? 


Sheila Hoffman | Hoffman Graphics | Seattle

Share this post


Link to post
Share on other sites
Danny

Well if you're using UberMenu, you should really be using the adapter section by the UberMenu developer. However, you're not using Widgetizer for the cart in your header, it is using Columnizer, but the fact remains that it is a UberMenu widget. Why are you using a UberMenu menu widget to display on widget ?


Please search our forums, before posting!

Share this post


Link to post
Share on other sites
sheilahoff

BECAUSE...I need the cart icon to trigger the cart widget. I don't know how else to do it. UberMenu provides me a way to do that. When I tried just the widget in the header it displays permanently and that is NOT what the client wants. It pushes the nav bar down to the height of the mini-cart. Is there a way to do this w/o using UberMenu? I'm happy to try it if you tell me how.


Sheila Hoffman | Hoffman Graphics | Seattle

Share this post


Link to post
Share on other sites
sheilahoff

BTW...this whole thing works flawlessly on the desktop w/o needing the Adapter. I thought I'd read on the forum that with UberMenu3 you no longer need the Adapter. And I just dicsovered not only doesn't it work on the iPad but also not on my 7" Android either.


Sheila Hoffman | Hoffman Graphics | Seattle

Share this post


Link to post
Share on other sites
sheilahoff

Update: I removed the navi menu and tested. The cart menu still doesn't display on my tablet. Then I installed the adapter. It was not intuitive but after reading and re-reading the instructions a few times I got it work. So now I'm using the adapter for the primary menu and left the cart menu alone. Still no joy. Is there something more I should try with the cart menu? It doesn't appear that I can use the Adapter for more than one menu, can I?

 

UPDATE DUH!!!!!

I had set it to not display on mobile! All is good now.


Sheila Hoffman | Hoffman Graphics | Seattle

Share this post


Link to post
Share on other sites

  • Similar Content

    • social_biz
      By social_biz
      I am trying to get iBlogpro6 running under https. All is fine but I am getting a mixed content warning:
      Mixed Content: The page at 'https://s11r.co/' was loaded over HTTPS, but requested an insecure stylesheet 'http://s11r.co/content/uploads/pagelines/compiled-css-core-1464872768.css'. This request has been blocked; the content must be served over HTTPS. The compiled css file are delivered in http not https. I tried toi delete them several times but the error is still there.
      Do I need to fix something in the theme folder? What? Where?
    • rgrptr
      By rgrptr+
      Hi
      I'm in trouble with a site using iBlogPro 6 with the DMS editor. Developers told me to ask support in forums. Here we go…
      I try to make a page with tabs containing a kind of dictionary with some terminology. I am saving and refreshing all the time but the problem is, in some point, the changes aren't saved and I get the three default tabs again as nothing happened. I did it once and again. Then I saw the problem was when I write more than 50.000 characters (or 60.000 counting white spaces).
      What can I do? How do I have to configure server settings? Or is this a theme problem?
      Please I would appreciate any comment about it.
      Thank you very much
    • satronen
      By satronen
      I am currently using Pagelines Framework 2.4.6
      I'm interested to upgrade my site to iBlogPro6
      Will I be able to keep my Pagelines Framework website live and uninterrupted while building my new iBlogPro6 site?
      Is there a online help guide of specifics instructions how to get this process started once I download iBlogPro6?
    • satronen
      By satronen
      I am currently using Pagelines Framework 2.4.6
      I'm interested to upgrade my site to iBlogPro6
      Will I be able to keep my Pagelines Framework website live and uninterrupted while building my new iBlogPro6 site?
      Is there a online help guide of specifics instructions how to get this process started once I download iBlogPro6?
    • webbdo
      By webbdo+
      Hi,
       
      At webbdo.com site I do get validation errors: https://validator.w3.org/check?uri=http%3A%2F%2Fwww.webbdo.com%2F&charset=%28detect+automatically%29&doctype=Inline&group=0
       
      - I have disable all plugins. Still same errors.
      - I have not edited any files.
       
      - Only custom code I added is:
       
      .boxed-wrap {   -webkit-box-shadow: 0px -60px 28px -5px rgba(0,0,0,0.36);   box-shadow: 0px -60px 28px -5px rgba(0,0,0,0.36); }   #site {   background-color: #FAFAFA; } .pl-new-loop .hentry .continue_reading_link {  display: none; }    Why are those errors occurs?  
×